select o.OrganizationID into #tempMO from ISZL.T_ORGANIZATION o where o.type_ = (select e.EntityID from VCLib.T_ENTITIES e where e.EntName = 'MO')

update s
set s.MO = (select top 1 * from #tempMO)
from ISZL.T_SELECTION s
where s.MO is null

drop table #tempMO